Bug 216165 - RFE: allow installing only certain locales
RFE: allow installing only certain locales
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-17 11:24 EST by Hans de Goede
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-28 14:18:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2006-11-17 11:24:56 EST
Quite some releases ago it was possible to tell anaconda (and also later
installed rpms) to only install certain locale's.

I'ev recently been working with Fedora on some small disk systems (via epia with
flashdisks) and the saving this gives is significant. On a pretty minimal
install it saves around 200MB, would it be possible to readd this feature to
anaconda in some way?

It doesn't need a GUI and certainly doesn't need to be enabled by default, but
it would be nice if one could easily specify locale's to install with some magic
arguments on the syslinux prompt. The same goes for not install files marked
%doc btw.
Comment 1 Jeremy Katz 2006-11-28 12:54:12 EST
I'm willing to consider a patch to add something that's not on the normal path.
 A flag to %packages in kickstart is the most logical thing probably.  And
--excludedocs is already present there.
Comment 2 Hans de Goede 2006-11-28 15:56:38 EST
Hmm, in that case you should either add this to some wishlist tracker or close
it as won'tfix. I already do lots of patches for FC + FE, but currently I'm
totally not familiar with anaconda (or python), and although I would like to see
this I do not need it badly, so the chances of me coming up with a patch for
this are small to 0.
Comment 3 Chris Lumens 2007-02-28 14:18:45 EST
Closing on the basis of comment #2.

Note You need to log in before you can comment on or make changes to this bug.